## haskell-haskore 0.1.0.4

=== src/Test/CSound/Makefile ===
%.wav:	%.orc %.sco
	csound -W -b 1024 -d -m 0 -o $@ $^

=== debian/changelog ===
haskell-haskore (0.1.0.4-2) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Iain Lane ]
  * Standards-Version → 3.9.2, no changes required

 -- Iain Lane <laney@debian.org>  Wed, 01 Jun 2011 11:16:09 +0100

haskell-haskore (0.1.0.4-1) unstable; urgency=low

  [ Ernesto Hernández-Novich (USB) ]
  * Initial release (Closes: 577833)

  [ Marco Túlio Gontijo e Silva ]
  * Remove explicit references to quilt in control and rules.

 -- Ernesto Hernández-Novich (USB) <emhn@usb.ve>  Mon, 10 May 2010 17:49:52 -0430

=== debian/control ===
Source: haskell-haskore
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Ernesto Hernández-Novich (USB) <emhn@usb.ve>
Build-Depends: debhelper (>= 7), cdbs, haskell-devscripts (>= 0.7),
 ghc, ghc-prof,
 hevea, lhs2tex, texlive-latex-base, texlive-latex-recommended,
 texlive-latex-extra, texlive-math-extra, pgf,
 texlive-font-utils,
 doc-base,
 libghc-event-list-dev (>= 0.0.8),
 libghc-event-list-dev (<< 0.1),
 libghc-event-list-prof,
 libghc-markov-chain-dev (>= 0.0.1),
 libghc-markov-chain-dev (<< 0.1),
 libghc-markov-chain-prof,
 libghc-non-negative-dev (>= 0.0.1),
 libghc-non-negative-dev (<< 0.1),
 libghc-non-negative-prof,
 libghc-data-accessor-dev (>= 0.2),
 libghc-data-accessor-dev (<< 0.3),
 libghc-data-accessor-prof,
 libghc-utility-ht-dev (>= 0.0.3),
 libghc-utility-ht-dev (<< 0.1),
 libghc-utility-ht-prof,
 libghc-transformers-dev (>= 0.0.1),
 libghc-transformers-dev (<< 0.3),
 libghc-transformers-prof,
 libghc-haskell-src-dev (>= 1.0),
 libghc-haskell-src-dev (<< 1.1),
 libghc-haskell-src-prof,
 libghc-parsec2-dev (>= 2.1),
 libghc-parsec2-dev (<< 2.2),
 libghc-parsec2-prof,
 libghc-quickcheck1-dev, libghc-quickcheck1-prof,
 libghc-hunit-dev (>= 1.2),
 libghc-hunit-dev (<< 1.3),
 libghc-hunit-prof,
 libghc-midi-dev (>= 0.1.1),
 libghc-midi-dev (<< 0.2),
 libghc-midi-prof
Build-Depends-Indep: ghc-doc,
 libghc-event-list-doc,
 libghc-markov-chain-doc,
 libghc-non-negative-doc,
 libghc-data-accessor-doc,
 libghc-utility-ht-doc,
 libghc-transformers-doc,
 libghc-haskell-src-doc,
 libghc-parsec2-doc,
 libghc-midi-doc
Standards-Version: 3.9.2
Homepage: http://hackage.haskell.org/package/haskore
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-haskore
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=haskell/haskell-haskore

Package: libghc-haskore-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}, timidity | playmidi | pmidi, csound
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskore Computer Music System
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides a collection of Haskell modules designed for
 expressing musical structures in the high-level, declarative style of
 functional programming. In Haskore, musical objects consist of primitive
 notions such as notes and rests, operations to transform musical objects
 such as transpose and tempo-scaling, and operations to combine musical
 objects to form more complex ones, such as concurrent and sequential
 composition. From these simple roots, much richer musical ideas can
 easily be developed.
 .
 It outputs music representations in MIDI, CSound, SuperCollider or
 directly as an audio signal.

Package: libghc-haskore-prof
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}, timidity | playmidi | pmidi, csound
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Haskore Computer Music System; profiling libraries
 This package provides a library for the Haskell programming language
 compiled for profiling.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides a collection of Haskell modules designed for
 expressing musical structures in the high-level, declarative style of
 functional programming. In Haskore, musical objects consist of primitive
 notions such as notes and rests, operations to transform musical objects
 such as transpose and tempo-scaling, and operations to combine musical
 objects to form more complex ones, such as concurrent and sequential
 composition. From these simple roots, much richer musical ideas can
 easily be developed.
 .
 It outputs music representations in MIDI, CSound, SuperCollider or
 directly as an audio signal.

Package: libghc-haskore-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Haskore Computer Music System; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides a collection of Haskell modules designed for
 expressing musical structures in the high-level, declarative style of
 functional programming. In Haskore, musical objects consist of primitive
 notions such as notes and rests, operations to transform musical objects
 such as transpose and tempo-scaling, and operations to combine musical
 objects to form more complex ones, such as concurrent and sequential
 composition. From these simple roots, much richer musical ideas can
 easily be developed.
 .
 It outputs music representations in MIDI, CSound, SuperCollider or
 directly as an audio signal.

## haskell-haskore 0.2.0.2

=== debian/changelog ===
haskell-haskore (0.2.0.2-1) unstable; urgency=low

  * New upstream release
  * Bump build dependencies (included parsec2 → parsec3) and remove testing
    dependencies. 

 -- Joachim Breitner <nomeata@debian.org>  Mon, 05 Sep 2011 16:30:21 +0200

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
  texlive-latex-extra, texlive-math-extra, pgf,
  texlive-font-utils,
  doc-base,
- libghc-event-list-dev (>= 0.0.8),
- libghc-event-list-dev (<< 0.1),
+ libghc-event-list-dev (>= 0.1),
+ libghc-event-list-dev (<< 0.2),
  libghc-event-list-prof,
  libghc-markov-chain-dev (>= 0.0.1),
  libghc-markov-chain-dev (<< 0.1),
  libghc-markov-chain-prof,
- libghc-non-negative-dev (>= 0.0.1),
- libghc-non-negative-dev (<< 0.1),
+ libghc-non-negative-dev (>= 0.1),
+ libghc-non-negative-dev (<< 0.2),
  libghc-non-negative-prof,
  libghc-data-accessor-dev (>= 0.2),
  libghc-data-accessor-dev (<< 0.3),
@@ -30,13 +30,9 @@
  libghc-haskell-src-dev (>= 1.0),
  libghc-haskell-src-dev (<< 1.1),
  libghc-haskell-src-prof,
- libghc-parsec2-dev (>= 2.1),
- libghc-parsec2-dev (<< 2.2),
- libghc-parsec2-prof,
- libghc-quickcheck1-dev, libghc-quickcheck1-prof,
- libghc-hunit-dev (>= 1.2),
- libghc-hunit-dev (<< 1.3),
- libghc-hunit-prof,
+ libghc-parsec3-dev (>= 2.1),
+ libghc-parsec3-dev (<< 3.2),
+ libghc-parsec3-prof,
  libghc-midi-dev (>= 0.1.1),
  libghc-midi-dev (<< 0.2),
  libghc-midi-prof
@@ -48,7 +44,7 @@
  libghc-utility-ht-doc,
  libghc-transformers-doc,
  libghc-haskell-src-doc,
- libghc-parsec2-doc,
+ libghc-parsec3-doc,
  libghc-midi-doc
 Standards-Version: 3.9.2
 Homepage: http://hackage.haskell.org/package/haskore

## haskell-haskore 0.2.0.3

=== Makefile ===

# BasicWriteMidi.lhs, BasicMidiFile.lhs are stripped versions of
#   WriteMidi.lhs, MidiFile.lhs
# ../ghc_add/IOExtensions.hs needs non-existing IOExts

OBJECT_DIR    := build/$(shell uname -s)-$(shell uname -m)
INTERFACE_DIR := build/Interface
#BUILD_DIR = `uname -s`-`uname -m`


BASICS   = Basic/Pitch.lhs Basic/Duration.lhs Basic/Tempo.lhs Basic/Interval.lhs Basic/Scale.lhs \
	   Composition/Trill.lhs Composition/Chord.lhs Composition/ChordType.lhs \
	   Composition/Drum.lhs Composition/Rhythm.lhs \
	   Melody.lhs Melody/Standard.lhs \
	   Music.lhs Music/Standard.lhs Music/Rhythmic.lhs Music/GeneralMIDI.lhs \
	   Performance/Player.lhs Performance/BackEnd.lhs \
	   Performance/Default.lhs Performance/Fancy.lhs \
	   Performance.lhs Performance/Context.hs \
	   General/Utility.lhs General/Map.hs \
	   General/LoopTreeTagged.lhs General/LoopTreeRecursive.lhs \
	   General/LoopTreeTaggedGen.lhs General/LoopTreeRecursiveGen.lhs \
	   Process/Optimization.lhs Process/Format.lhs \
	   Interface/MML.lhs Interface/MED/Text.hs

MEDIA    = Medium.hs Medium/Temporal.hs \
	   Medium/Plain/List.hs Medium/Plain/Binary.hs Medium/Plain/ContextFreeGrammar.lhs \
	   Medium/Controlled/List.hs Medium/LabeledControlled/List.hs Medium/Controlled.hs \
	   Medium/Controlled/ContextFreeGrammar.lhs


MIDI     = Interface/MIDI.lhs \
           $(patsubst %, Interface/MIDI/%, \
	       InstrumentMap.lhs Note.lhs \
	       Read.lhs Write.lhs Render.lhs )

CSOUND   = Interface/CSound.lhs \
           $(patsubst %, Interface/CSound/%, \
	       Score.lhs InstrumentMap.lhs SoundMap.hs Note.lhs \
               Generator.lhs Orchestra.lhs OrchestraFunction.lhs Tutorial.lhs)

AUTOTRACK = $(patsubst %, Interface/AutoTrack/%.lhs, \
              ChartBar ChordChart ChordSymbol EventChart \
              Instrument ScaleChart Style Transposeable)

AUTOTRACK_PROG = $(patsubst %, src/Haskore/Interface/AutoTrack/%.lhs, \
                   Main Option)


EXAMPLES = $(patsubst %, Example/%, \
	       Miscellaneous.lhs \
	       Ssf.lhs NewResolutions.lhs \
	       ChildSong6.lhs Kantate147.hs WhiteChristmas.hs \
	       SelfSim.lhs Fractal.hs Flip.hs Guitar.lhs)

MODULES = $(BASICS) $(EXAMPLES) $(MIDI) $(CSOUND) $(AUTOTRACK)

MODULEPATH = src

# http://www.gnu.org/software/automake/manual/make/Syntax-of-Functions.html#Syntax-of-Functions
colon:= :
empty:=
space:= $(empty) $(empty)

# exclude installed versions of Haskore, because we want to use the local one
HUGS_PACKAGE_PATH = \
   {Hugs}/libraries:{Hugs}/packages/*:$(subst $(space),$(colon),$(patsubst %,/usr/local/lib/hugs/packages/%,event-list midi markov-chain non-negative special-functors data-accessor transformers monoid-transformer explicit-exception binary utility-ht))
#   $(subst $(space),$(colon),$(patsubst %,{Hugs}/packages/%,event-list midi markov-chain non-negative record-access))


GHC_MODULES = $(patsubst %, src/%, $(MEDIA) \
                  Test/Equivalence.lhs Test/Suite.lhs) \
              $(patsubst %, src/Haskore/%, \
                  $(MODULES) )

GHC_DEPENDS = $(GHC_MODULES)

# names of literate modules after removing literary information
UNLIT_MODULES = $(patsubst %.lhs, %.hs, $(patsubst %.hs, , $(GHC_MODULES)))

# names of all modules without literary information
HS_MODULES = $(patsubst %.lhs, %.hs, $(GHC_MODULES))


STDINTERFACES = base/base haskell-src/haskell-src QuickCheck/QuickCheck

STDPACKAGES = base mtl haskell-src network hosc hsc3 QuickCheck HUnit

GHC_OPTIONS = -Wall -odir$(OBJECT_DIR) -hidir$(INTERFACE_DIR) \
              -i:$(MODULEPATH):src/Test
             # -threaded
             # -hide-package Haskore   # ignore modules compiled and registered by Cabal


HUGS_MODULES = $(patsubst %, src/%, $(MEDIA)) \
               $(patsubst %, src/Haskore/%, $(MODULES))


TEX_FILES = $(patsubst %, src/Doc/%, \
              Tutorial.tex Discussion.tex Introduction.tex Macros.tex Related.tex \
              Pics/haskore.tex Pics/midi.tex)

PICS = equiv poly

PDF_PICS = $(patsubst %, src/Doc/Pics/%.pdf, $(PICS))



.INTERMEDIATE:	$(UNLIT_MODULES) PlayTmp.hs

.PHONY:	all clean distclean cabal-configure cabal-build compile ghc-all ghci hugs playmidi \
	pdf autotrack-ps doc \
	test test-compile test-hugs testcases debug \
	fluid

all:	compile

clean:
	-(cd build && rm -f `find . -name "*.hi"` `find . -name "*.o"`)
	-rm -f $(UNLIT_MODULES)
	-rm -f src/Doc/Pics/*.pdf
	-rm -f Tutorial.*

distclean:	clean
	-rm -f dist/doc/Tutorial.pdf

test:   test-compile testcases pdf autotrack-ps cabal-haddock

compile:	hugs ghc-all autotrack

test-compile:	test-hugs ghc-all autotrack

# disable optimization for GHC-6.4 and NewResolutions
cabal-configure:
	runhaskell Setup.lhs configure --user --disable-optimization

cabal-build:	cabal-configure
	runhaskell Setup.lhs build

cabal-haddock:	cabal-configure
	runhaskell Setup.lhs haddock

ghc-all:	$(GHC_DEPENDS)
	-mkdir $(OBJECT_DIR)
	ghc --make $(GHC_OPTIONS) $(GHC_DEPENDS)

# start ghci using compiled objects from Cabal's 'dist/build' directory
ghci:	cabal-build
	ghci +RTS -M256m -c30 -RTS -Wall \
	   -odirdist/build -hidirdist/build -i:$(MODULEPATH):src/Test

# start ghci using compiled objects from 'build' directory
ghci-custom:	cabal-configure $(GHC_DEPENDS) ghci-quick

ghci-quick:
	ghci +RTS -M256m -c30 -RTS $(GHC_OPTIONS) $(GHC_DEPENDS)

hugs:	$(HUGS_MODULES)
# this version wouldn't stop on a failure :-(
#	echo ":quit" | hugs $(HUGS_MODULES)
# this worked as long as most of the modules were Haskell 98 compliant
#	hugs -P:$(MODULEPATH) $(HUGS_MODULES)

# for hugs version 2002-11
#	hugs +N -98 -h1000000 -P:$(MODULEPATH) $(HUGS_MODULES)

# for hugs version 2005-03
	hugs -98 -h1000000 -P$(MODULEPATH):$(HUGS_PACKAGE_PATH) $(HUGS_MODULES)

test-hugs:	$(HUGS_MODULES) # hugs
	@echo "***** If in test mode, enter :q in order to continue. *****"
	hugs -98 -h1000000 -P$(MODULEPATH):$(HUGS_PACKAGE_PATH) $(HUGS_MODULES)

doc:	$(HS_MODULES)
	haddock -B /usr/lib/ghc -o docs/html --dump-interface=docs/haskore.haddock -h \
	    $(HS_MODULES)
#	    $(patsubst %, --use-package=%, $(STDPACKAGES)) \

olddoc:	$(HS_MODULES)
	haddock -o docs/html --dump-interface=docs/haskore.haddock -h \
	    $(patsubst %, -i /usr/local/share/ghc-6.2/html/libraries/%.haddock, $(STDINTERFACES)) \
	    $(HS_MODULES)


%.hs:	%.lhs
	unlit $< $@


pdf:	$(TEX_FILES) $(PDF_PICS) $(GHC_MODULES)
# src/Doc needed for Tutorial.bbl
	TEXINPUTS=src:src/Doc:$(TEXINPUTS) pdflatex $<
	mkindex Tutorial
	TEXINPUTS=src:src/Doc:$(TEXINPUTS) pdflatex $<
# the directory should coincide with the one created by Cabal
	mkdir -p dist/doc
	cp Tutorial.pdf dist/doc/Tutorial.pdf

%.pdf:	%.eps
	epstopdf $<

testcases:	src/Test/Suite.lhs	src/Test/Equivalence.lhs
	-rm $(OBJECT_DIR)/Main.o
	ghc --make $(GHC_OPTIONS) -o $(OBJECT_DIR)/test $<
	$(OBJECT_DIR)/test +RTS -M32m -c30 -RTS
#	runhugs +N -98 -h2000000 -P:$(MODULEPATH) Test/Suite.lhs

flip:	src/Haskore/Example/FlipTest.hs
	ghc $(GHC_OPTIONS) -O --make -o $@ $<
#	$@ | timidity -B8,9 -

autotrack:	$(AUTOTRACK_PROG) $(GHC_DEPENDS)
	-rm $(OBJECT_DIR)/Main.o
	ghc $(GHC_OPTIONS) -i:src/Haskore/Interface/AutoTrack/ -O --make -o $@ $<

autotrack-ps:
	cd src/Haskore/Interface/AutoTrack/ && make doc


playmidi:
# install in NEdit menu:
#  cd haskore_dir/src/ ; make playmidi MODULE=%

# doesn't work, because Hugs supports only one visible module at the prompt
#	 echo TestMidi.testTimidity `xargs echo` | hugs +N -98 -h1000000 -P:$(MODULEPATH) Interface/MIDI/TestMidi.lhs $(MODULE)

	echo module Main where > PlayTmp.hs
	echo import TestMidi >> PlayTmp.hs
	MODULE_LHS=`basename $(MODULE) .lhs` && echo import `basename $$MODULE_LHS .hs` >> PlayTmp.hs
	echo main = TestMidi.testTimidity '('`xargs echo`')' >> PlayTmp.hs
	runhugs +N -98 -h1000000 -P:$(MODULEPATH) PlayTmp.hs

# start fluidsynth as server
# search fluidsynth port with pmidi -l
# play MIDI files using pmidi -p 128:0 src/Test/MIDI/ChildSong6.mid
fluid:
	fluidsynth --verbose /usr/share/sounds/sf2/Vintage_Dreams_Waves_v2.sf2

jack:
	jackd -d alsa -r 44100 -n 3 -d hw:0 &

# better start jack separately and then run 'make fluidjack'
# because otherwise fluidsynth starts jack itself but with inappropriate settings

# There is a difference to fluidsynth of Suse 9.2:
# If you simply start fluidsynth, it will report incoming MIDI messages,
# but you do not hear anything.
# It seems that you must connect fluidsynth to JACK manually.
# You can list the available JACK ports with
#    jack_lsp
# Cf. http://ubuntuforums.org/archive/index.php/t-480233.html
fluidjack:
	(usleep 3000000; make fluidconnect) &
	fluidsynth -a jack --verbose /usr/share/sounds/sf2/Vintage_Dreams_Waves_v2.sf2

fluidconnect:
	jack_connect fluidsynth:left  alsa_pcm:playback_1
	jack_connect fluidsynth:tight alsa_pcm:playback_2

timidity:
	timidity -iA -B1,8

debug:
	echo $(GHC_DEPENDS)

=== src/Test/CSound/Makefile ===
%.wav:	%.orc %.sco
	csound -W -b 1024 -d -m 0 -o $@ $^

play-%:	%.orc %.sco
	OPCODEDIR=/usr/lib/csound/plugins csound -n -o dac $^

=== src/Test/MIDI/Makefile ===
%.wav:	%.mid
	timidity -A800 -Ow -o $@ $<

Raenzlein.wav:	Raenzlein.mid
	timidity -A800 -K -12 -Ow -o $@ $<

WhiteChristmas.wav:	WhiteChristmas.mid
	timidity -A800 -K -12 -Ow -o $@ $<

=== debian/changelog ===
haskell-haskore (0.2.0.3-5build2) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Jun 2013 14:14:46 +0100

haskell-haskore (0.2.0.3-5build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 31 May 2013 00:18:23 +0100

haskell-haskore (0.2.0.3-5) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:22 +0200

haskell-haskore (0.2.0.3-4) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:50 +0200

haskell-haskore (0.2.0.3-3) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Thu, 18 Oct 2012 10:25:31 +0200

haskell-haskore (0.2.0.3-2) unstable; urgency=low

  * Remove doc-base file, avoids squeeze → wheezy upgrade problems

 -- Joachim Breitner <nomeata@debian.org>  Sat, 19 May 2012 22:31:31 +0200

haskell-haskore (0.2.0.3-1) unstable; urgency=low

  * New upstream release
  * Drop patches/Extend-process-range and patches/Add-Eq-constraint

 -- Joachim Breitner <nomeata@debian.org>  Tue, 15 May 2012 23:41:15 +0200

haskell-haskore (0.2.0.2-2) unstable; urgency=low

  * patches/Extend-process-range, patches/Add-Eq-constraint: GHC 7.4.1
    compatibility

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 Feb 2012 16:56:51 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Ernesto Hernández-Novich (USB) <emhn@usb.ve>
-Build-Depends: debhelper (>= 7), cdbs, haskell-devscripts (>= 0.7),
+Build-Depends: debhelper (>= 9), cdbs, haskell-devscripts (>= 0.8.15),
  ghc, ghc-prof,
  hevea, lhs2tex, texlive-latex-base, texlive-latex-recommended,
  texlive-latex-extra, texlive-math-extra, pgf,
@@ -25,7 +25,7 @@
  libghc-utility-ht-dev (<< 0.1),
  libghc-utility-ht-prof,
  libghc-transformers-dev (>= 0.0.1),
- libghc-transformers-dev (<< 0.3),
+ libghc-transformers-dev (<< 0.4),
  libghc-transformers-prof,
  libghc-haskell-src-dev (>= 1.0),
  libghc-haskell-src-dev (<< 1.1),
@@ -33,8 +33,8 @@
  libghc-parsec3-dev (>= 2.1),
  libghc-parsec3-dev (<< 3.2),
  libghc-parsec3-prof,
- libghc-midi-dev (>= 0.1.1),
- libghc-midi-dev (<< 0.2),
+ libghc-midi-dev (>= 0.2),
+ libghc-midi-dev (<< 0.3),
  libghc-midi-prof
 Build-Depends-Indep: ghc-doc,
  libghc-event-list-doc,
@@ -46,7 +46,7 @@
  libghc-haskell-src-doc,
  libghc-parsec3-doc,
  libghc-midi-doc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/haskore
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-haskore
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=haskell/haskell-haskore
@@ -57,10 +57,7 @@
 Recommends: ${haskell:Recommends}, timidity | playmidi | pmidi, csound
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: Haskore Computer Music System
- This package provides a library for the Haskell programming language.
- See http://www.haskell.org/ for more information on Haskell.
- .
+Description: Haskore Computer Music System${haskell:ShortBlurb}
  This library provides a collection of Haskell modules designed for
  expressing musical structures in the high-level, declarative style of
  functional programming. In Haskore, musical objects consist of primitive
@@ -72,6 +69,8 @@
  .
  It outputs music representations in MIDI, CSound, SuperCollider or
  directly as an audio signal.
+ .
+ ${haskell:Blurb}
 
 Package: libghc-haskore-prof
 Architecture: any
@@ -79,11 +78,7 @@
 Recommends: ${haskell:Recommends}, timidity | playmidi | pmidi, csound
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: Haskore Computer Music System; profiling libraries
- This package provides a library for the Haskell programming language
- compiled for profiling.
- See http://www.haskell.org/ for more information on Haskell.
- .
+Description: Haskore Computer Music System${haskell:ShortBlurb}
  This library provides a collection of Haskell modules designed for
  expressing musical structures in the high-level, declarative style of
  functional programming. In Haskore, musical objects consist of primitive
@@ -95,6 +90,8 @@
  .
  It outputs music representations in MIDI, CSound, SuperCollider or
  directly as an audio signal.
+ .
+ ${haskell:Blurb}
 
 Package: libghc-haskore-doc
 Section: doc
@@ -102,11 +99,7 @@
 Depends: ${haskell:Depends}, ${misc:Depends}
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
-Description: Haskore Computer Music System; documentation
- This package provides the documentation for a library for the Haskell
- programming language.
- See http://www.haskell.org/ for more information on Haskell.
- .
+Description: Haskore Computer Music System${haskell:ShortBlurb}
  This library provides a collection of Haskell modules designed for
  expressing musical structures in the high-level, declarative style of
  functional programming. In Haskore, musical objects consist of primitive
@@ -118,3 +111,5 @@
  .
  It outputs music representations in MIDI, CSound, SuperCollider or
  directly as an audio signal.
+ .
+ ${haskell:Blurb}

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_DEPENDENCIES = build-arch

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

DEB_COMPRESS_EXCLUDE  = .pdf

build/libghc-haskore-doc::
	make -f Makefile pdf

clean::
	make -f Makefile clean
	dh_testdir

=== debian/watch ===
# See uscan(1) for format

version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|haskore-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/haskore \
    ([\d\.]*\d)/

## haskell-haskore 0.2.0.4

=== debian/changelog ===
haskell-haskore (0.2.0.4-3build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Jun 2015 10:18:23 +0100

haskell-haskore (0.2.0.4-3) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:50:14 +0200

haskell-haskore (0.2.0.4-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * Do not depend on transformers, which now comes with GHC

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 20:31:49 +0100

haskell-haskore (0.2.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 07 Sep 2014 16:34:24 +0200

haskell-haskore (0.2.0.3-6) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * Build-Depend on latex-xcolor (Closes: 741805)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 16 Mar 2014 14:56:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Ernesto Hernández-Novich (USB) <emhn@usb.ve>
-Build-Depends: debhelper (>= 9), cdbs, haskell-devscripts (>= 0.8.15),
+Build-Depends: debhelper (>= 9), cdbs, haskell-devscripts (>= 0.9),
  ghc, ghc-prof,
  hevea, lhs2tex, texlive-latex-base, texlive-latex-recommended,
- texlive-latex-extra, texlive-math-extra, pgf,
+ texlive-latex-extra, texlive-math-extra, latex-xcolor, pgf,
  texlive-font-utils,
  doc-base,
  libghc-event-list-dev (>= 0.1),
@@ -24,9 +24,6 @@
  libghc-utility-ht-dev (>= 0.0.3),
  libghc-utility-ht-dev (<< 0.1),
  libghc-utility-ht-prof,
- libghc-transformers-dev (>= 0.0.1),
- libghc-transformers-dev (<< 0.4),
- libghc-transformers-prof,
  libghc-haskell-src-dev (>= 1.0),
  libghc-haskell-src-dev (<< 1.1),
  libghc-haskell-src-prof,
@@ -42,7 +39,6 @@
  libghc-non-negative-doc,
  libghc-data-accessor-doc,
  libghc-utility-ht-doc,
- libghc-transformers-doc,
  libghc-haskell-src-doc,
  libghc-parsec3-doc,
  libghc-midi-doc

=== debian/watch ===
version=3
http://hackage.haskell.org/package/haskore/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
